## org.sqlite
Class Function.Aggregate

    java.lang.Object
      org.sqlite.Function
          org.sqlite.Function.Aggregate

All Implemented Interfaces:
  Cloneable

Enclosing class:
  Function

    public abstract static class Function.Aggregate

extends Function
implements Cloneable

Nested Class Summary

Nested classes/interfaces inherited from class org.sqlite.Function
`Function.Aggregate`

Constructor Summary
`Function.Aggregate()`

Method Summary
`Object` `clone()`
`protected abstract void` `xFinal()`
`protected void` `xFunc()` Called by SQLite as a custom function.
`protected abstract void` `xStep()`

Methods inherited from class org.sqlite.Function
`args, create, destroy, error, result, result, result, result, result, result, value_blob, value_bytes, value_double, value_int, value_long, value_text, value_type`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Function.Aggregate

    public Function.Aggregate()

Method Detail

### xFunc

    protected final void xFunc()

  Description copied from class: `Function`
  Called by SQLite as a custom function. Should access arguments through `value_*(int)`, return results with `result(*)` and throw errors with `error(String)`.

  Specified by:
    `xFunc` in class `Function`

### xStep

    protected abstract void xStep()
                           throws SQLException

  Throws:
    `SQLException`

### xFinal

    protected abstract void xFinal()
                            throws SQLException

  Throws:
    `SQLException`

### clone

    public Object clone()
                 throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

This work is licensed under a Creative Commons Attribution-ShareAlike 2.1 Japan License.